Select2 boxes
=============

## Description:
Provide Select2 widgets.

### Requirements:
- Drupal 8
- PHP 5.6+

### Installation:
Module can be installed via traditional module installation ways.

### Settings

Go to 'admin/config/user-interface/select2boxes'

   * Select CDN library and version.
   * Limited visibility of search box by minimum list length
     (not available auto-creating of terms in taxonomy field)

### Usage:
Can be used as a field's widgets for 2 types of fields (Entity references and lists).
To use one of the widget you need to go to the entity form settings page.
The widgets also have configuration options to make them more user-friendly

#### Entity references:
 - Content
 - User
 - Authored by
 - Taxonomy term

For entity references 2 widgets are provided:
 * **Select2 boxes (Multiple values)**: an autocomplete entity reference widget using AJAX.
   * Possible to preloaded options before user search
 * **Select2 boxes (Single value)**: single select2 boxes for entity reference fields.

#### Lists:
 - Lists (int/float/text)
 - Country
 - Language
 - Languagefield

For lists 1 widget is provided:
 * **Select2 boxes**: an autocomplete list field.
   * Flags icons (language, languagefield, country).
     Requires module **Flags** to be enabled.

#### Address:
For address field there is only provided a configuration option inside the deafult widget.

## Usage:
1. Go to the "Manage form display"
2. Switch field's widget to the one of the widget provided by module
3. In the widget's settings form additionally specify extra options if needed.

# Select2 Better Exposed Filters (sub-module):
## Description:
Provides an integration between Select2 boxes and Better Exposed Filters (BEF).
BEF filters have the above extra options as well.

## Usage:
1. Create view
2. Add filters
 (for taxonomy terms only "Dropdown" widget should be used,
  and if widget is multiple "Allow multiple selections"
  option should be enabled)
3. Change exposed form style to "Better Exposed Filters"
4. Specify appropriate exposed filter for Select2 Boxes
5. For entity reference fields in more options section
 specify bundle(s) you want the field being referenced to.

## Credits
Developed by [Valentine94](https://drupal.org/u/valentine94)
Designed by [matsbla](https://drupal.org/u/matsbla)
