<?php

namespace Drupal\select2boxes;

/**
 * Trait EntityCreationTrait.
 *
 * Helper trait with an implementation of method for creating entity.
 *
 * @package Drupal\select2boxes
 */
trait EntityCreationTrait {

  /**
   * Create entity.
   *
   * @param string $entity_type
   *   Target entity type ID.
   * @param array $values
   *   Values for the entity creation.
   *
   * @return int|null|string
   *   Newly created entity ID.
   */
  protected function createEntity($entity_type, array $values) {
    // Create entity.
    $entity = \Drupal::entityTypeManager()
      ->getStorage($entity_type)
      ->create($values);
    // Save newly created entity.
    $entity->save();
    // Return ID of newly created entity.
    return $entity->id();
  }

}
